[Overview][Types][Procedures and functions][Variables][Index] | Reference for unit 'LCLIntf' (#lcl)

# StretchDIBits

Copies a rectangular region from a DIB into an device context, shrinking or stretching it as required.

## Declaration

Source position: winapih.inc line 276

`function StretchDIBits(`
`DC: HDC;`
`DestX: Integer;`
`DestY: Integer;`
`DestWidth: Integer;`
`DestHeight: Integer;`
`SrcX: Integer;`
`SrcY: Integer;`
`SrcWidth: Integer;`
`SrcHeight: Integer;`
`Bits: Pointer;`
`var BitsInfo: TBitmapInfo;`
`Usage: UINT;`
`Rop: DWORD`
`):Integer;`